<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Inmobiliaria-Roger-JoanM</title>
    <script src="inmobiliaria.js"></script>
    <script src="casa.js"></script>
    <script src="local.js"></script>
    <script src="piso.js"></script>
    <script src="gestion.js"></script>
</head>

<body>
    <script>
        const estadoNuevo = { anos: 0, reformado: false };
        const estadoAntiguo = { anos: 30, segundamano: true };
        const inmueble1 = new Inmueble("Calle Mayor 1", 100, "12345A", 100000, "foto1.jpg", estadoNuevo, { latitud: 40.4167, longitud: -3.70325 });
        const piso1 = new Piso("Calle Serrano 2", 80, "67890B", 150000, "foto2.jpg", estadoAntiguo, { latitud: 40.4271, longitud: -3.6857 }, 2, true, true);
        const casa1 = new Casa("Calle Alcalá 3", 200, "13579C", 250000, "foto3.jpg", estadoNuevo, { latitud: 40.4189, longitud: -3.6919 }, "chalet", 4, 3, true, true);
        const local1 = new Local("Calle Soria 13", 130, "13979C", 300000, "foto4.jpg", estadoNuevo, { latitud: 40.4189, longitud: -3.6919 }, 5, true, 1, false, true, false, true)


        //Precios!
        console.log(inmueble1.calcularPrecio());
        console.log(piso1.calcularPrecio());
        console.log(casa1.calcularPrecio());
        console.log(local1.calcularPrecio());

        //Gestionar nuestros inmuebles
        const gestor = new Gestor();
        gestor.agregarInmueble(inmueble1);
        gestor.agregarInmueble(piso1);
        gestor.agregarInmueble(casa1);
        gestor.agregarInmueble(local1);

        // Modificar inmueble
        const nuevoEstado = { anos: 2, reformado: true };
        gestor.modificarInmueble("12345A", { estado: nuevoEstado });
        console.log(inmueble1.direccion + " estado:");
        console.log(inmueble1.estado);
        // Contar inmuebles
        console.log(gestor.listarInmuebles());


        //         // Desactivar inmueble - No llegamos a entender por que da error
        // gestor.desactivarInmueble("13579C");
        // console.log(casa1.estado.activo); 

        // Eliminar inmueble
        gestor.eliminarInmueble("67890B");

        //No funciona del todo bien //ver inmuebles
        // const verInmuebles = () => {
        //     this.listaInmuebles.forEach((inmueble) => {
        //         console.log(`Tipo: ${inmueble.direccion}, Dirección: ${inmueble.direccion}, Precio: ${inmueble.calcularPrecio()}`);
        //     });
        // }
        // console.log(verInmuebles);



    </script>
</body>

</html>